# Uses of Interface
org.eclipse.zest.layouts.interfaces.ExpandCollapseManager

Packages that use ExpandCollapseManager
Package
Description
org.eclipse.zest.core.widgets
org.eclipse.zest.layouts.algorithms
org.eclipse.zest.layouts.interfaces

## Uses of ExpandCollapseManager in org.eclipse.zest.core.widgets

Classes in org.eclipse.zest.core.widgets that implement ExpandCollapseManager
Modifier and Type
Class
Description
`class`
`DAGExpandCollapseManager`
An `ExpandCollapseManager` specialized for Directed Acyclic Graphs.
Methods in org.eclipse.zest.core.widgets that return ExpandCollapseManager
Modifier and Type
Method
Description
`ExpandCollapseManager`
Graph.`getExpandCollapseManager()`
Methods in org.eclipse.zest.core.widgets with parameters of type ExpandCollapseManager
Modifier and Type
Method
Description
`void`
Graph.`setExpandCollapseManager(ExpandCollapseManager expandCollapseManager)`

## Uses of ExpandCollapseManager in org.eclipse.zest.layouts.algorithms

Methods in org.eclipse.zest.layouts.algorithms that return ExpandCollapseManager
Modifier and Type
Method
Description
`ExpandCollapseManager`
SpaceTreeLayoutAlgorithm.`getExpandCollapseManager()`

## Uses of ExpandCollapseManager in org.eclipse.zest.layouts.interfaces

Methods in org.eclipse.zest.layouts.interfaces that return ExpandCollapseManager
Modifier and Type
Method
Description
`ExpandCollapseManager`
LayoutContext.`getExpandCollapseManager()`
Methods in org.eclipse.zest.layouts.interfaces with parameters of type ExpandCollapseManager
Modifier and Type
Method
Description
`void`
LayoutContext.`setExpandCollapseManager(ExpandCollapseManager expandCollapseManager)`
Sets the expand/collapse manager for this context.